#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 stack
version:              2.7.5
visibility:           public
id:                   stack-2.7.5-AwnsSTBkkoE3AhuLOONVn7
key:                  stack-2.7.5-AwnsSTBkkoE3AhuLOONVn7
license:              BSD-3-Clause
maintainer:           manny@fpcomplete.com
author:               Commercial Haskell SIG
homepage:             http://haskellstack.org
synopsis:             The Haskell Tool Stack
description:
    Please see the documentation at <https://docs.haskellstack.org>
    for usage information.

    If building a '\''stack'\'' executable for distribution, please download the
    source code from <https://github.com/commercialhaskell/stack/releases>
    and build it using Stack itself in order to ensure identical behaviour
    to official binaries.  This package on Hackage is provided for convenience
    and bootstrapping purposes.

    Note that the API for the library is not currently stable, and may
    change significantly, even between minor releases. It is
    currently only intended for use by the executable.

category:             Development
abi:                  f52c5267977a6f278062305825154e1d
exposed:              True
exposed-modules:
    Control.Concurrent.Execute Data.Attoparsec.Args
    Data.Attoparsec.Combinators Data.Attoparsec.Interpreter
    Data.Monoid.Map Network.HTTP.StackClient Options.Applicative.Args
    Options.Applicative.Builder.Extra Options.Applicative.Complicated
    Path.CheckInstall Path.Extra Path.Find Paths_stack Stack.Build
    Stack.Build.Cache Stack.Build.ConstructPlan Stack.Build.Execute
    Stack.Build.Haddock Stack.Build.Installed Stack.Build.Source
    Stack.Build.Target Stack.BuildPlan Stack.Clean Stack.Config
    Stack.Config.Build Stack.Config.Docker Stack.Config.Nix
    Stack.ConfigCmd Stack.Constants Stack.Constants.Config
    Stack.Coverage Stack.DefaultColorWhen Stack.Docker Stack.Dot
    Stack.FileWatch Stack.GhcPkg Stack.Ghci Stack.Ghci.Script
    Stack.Hoogle Stack.IDE Stack.Init Stack.List Stack.Lock Stack.Ls
    Stack.New Stack.Nix Stack.Options.BenchParser
    Stack.Options.BuildMonoidParser Stack.Options.BuildParser
    Stack.Options.CleanParser Stack.Options.Completion
    Stack.Options.ConfigParser Stack.Options.DockerParser
    Stack.Options.DotParser Stack.Options.ExecParser
    Stack.Options.GhcBuildParser Stack.Options.GhcVariantParser
    Stack.Options.GhciParser Stack.Options.GlobalParser
    Stack.Options.HaddockParser Stack.Options.HpcReportParser
    Stack.Options.LogLevelParser Stack.Options.NewParser
    Stack.Options.NixParser Stack.Options.PackageParser
    Stack.Options.ResolverParser Stack.Options.SDistParser
    Stack.Options.ScriptParser Stack.Options.TestParser
    Stack.Options.UploadParser Stack.Options.Utils Stack.Package
    Stack.PackageDump Stack.Path Stack.Prelude Stack.Runners
    Stack.SDist Stack.Script Stack.Setup Stack.Setup.Installed
    Stack.SetupCmd Stack.SourceMap Stack.Storage.Project
    Stack.Storage.User Stack.Storage.Util Stack.Types.Build
    Stack.Types.Compiler Stack.Types.CompilerBuild Stack.Types.Config
    Stack.Types.Config.Build Stack.Types.Docker Stack.Types.GhcPkgId
    Stack.Types.NamedComponent Stack.Types.Nix Stack.Types.Package
    Stack.Types.PackageName Stack.Types.Resolver Stack.Types.SourceMap
    Stack.Types.TemplateName Stack.Types.Version
    Stack.Types.VersionIntervals Stack.Unpack Stack.Upgrade
    Stack.Upload System.Info.ShortPathName System.Permissions
    System.Process.Pager System.Terminal

hidden-modules:       Path.Extended Stack.Types.Cache System.Uname
import-dirs:          /usr/lib/ghc-9.0.2/site-local/stack-2.7.5
library-dirs:         /usr/lib/ghc-9.0.2/site-local/stack-2.7.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/stack
hs-libraries:         HSstack-2.7.5-AwnsSTBkkoE3AhuLOONVn7
depends:
    Cabal-3.4.1.0 aeson-1.5.6.0-9RfWlbr0iJzGkGGEmlWhlU
    annotated-wl-pprint-0.7.0-6vyiTB7Qv98BkD7hsY3Ewg
    ansi-terminal-0.11.1-3bF8hvpb5rt8AmpxYz60ww array-0.5.4.0
    async-2.2.4-IyWEfdMvX6p3WNvmQSifvv
    attoparsec-0.14.4-G41f0gWdRBwHFZTIHlcTn0 base-4.15.1.0
    base64-bytestring-1.2.1.0-6xidEBbMrDSCoDX7iFI0KL
    bytestring-0.10.12.1 casa-client-0.0.1-3yq9KUY5aE3JqAZJDZb75D
    casa-types-0.0.2-F2M1kILai3PBjbtOX8sOeZ
    colour-2.3.6-BNeGxT2Xd9hD6F1QINrj5X
    conduit-1.3.4.2-JoUqCIHmBB5RWjBTEBYsp
    conduit-extra-1.3.5-Iaed2PQznlk98bvb5l0GGD containers-0.6.4.1
    cryptonite-0.30-KQ0m4dXHADDGpps1TyELYy
    cryptonite-conduit-0.2.2-5MNvGMFoDnX2YNyrVx2CV5 deepseq-1.4.5.0
    directory-1.3.6.2 echo-0.1.4-AolexdhZ6jY9N2bVe52aSD
    exceptions-0.10.4 extra-1.7.10-H7lZ0akPHjSG4hnNn1prGy
    file-embed-0.0.15.0-FF5xUPWKaB3GI64c6hgPnn
    filelock-0.1.1.5-3M9C3i5h62tI8QKMqmfXtk filepath-1.4.2.1
    fsnotify-0.3.0.1-2kNvMVSsdClGhZjMiNZOu3
    generic-deriving-1.14.1-A7xNRswNoOSfC5iGbkQ6m
    hackage-security-0.6.0.1-BKgdmle9rC3AQuowoomMZc
    hashable-1.4.0.0-3tT111jpna6LV0O1fUcNNF
    hi-file-parser-0.1.2.0-X91s130gTm1L0tCSxtyqK
    hpack-0.34.5-BMpTz91f1xX4gcuPVhEFTT hpc-0.6.1.0
    http-client-0.7.11-47doxhfSnsA4SKmO8Ab0M4
    http-client-tls-0.3.6.1-Htjzh6bJKuqJHcmVoCPSwG
    http-conduit-2.3.8-KVHESl6sh8z4wAcnuMnudm
    http-download-0.2.0.0-EtYrU6YlE4qCtrppR85ucm
    http-types-0.12.3-4gBfONCvvNM58oU4i771Nd
    memory-0.17.0-CJJwCTl3QuwCxlJovCa0Bf
    microlens-0.4.12.0-1fJvmROd5lxEQCLdQ6LGgk
    mintty-0.1.3-KLHEpQWXrJ2JIBA6Hn0TZd
    mono-traversable-1.0.15.3-BXTFHFR2MgE6KkVUMmXTpC mtl-2.2.2
    mustache-2.4.1-JiAguscVfFu1QoVEbbEGqG
    neat-interpolation-0.5.1.3-FScPuzxLy169oyAPn4JkZh
    network-uri-2.6.4.1-4JFoEoQV8Wl1jQfe9atJeE
    open-browser-0.2.1.0-HAnS0ogQNZo1SKlcmSKnFR
    optparse-applicative-0.16.1.0-Je4Eqp47gZkHU3mHmIhYBI
    pantry-0.5.4-FUHiSAmsw6m56oegYlPbM6
    path-0.9.2-G9EIClz5AwUAnsXa2FFhYp
    path-io-1.6.3-38xFi4jqbzbE709FdhlSIP
    persistent-2.13.2.1-Bo30S4wAqAx7SRdvuf4sAQ
    persistent-sqlite-2.13.0.3-AQuBb2AvMdcGzY2IgAzoNi pretty-1.1.3.6
    primitive-0.7.3.0-HuG2rWCCHI33cxmpgTscxY process-1.6.13.2
    project-template-0.2.1.0-F5XMqFkYEhH7mh4dsGFtXq
    retry-0.9.2.0-GTSejcgBQOdHh0Dqx3TiHT
    rio-0.1.21.0-AP470m6abiN7L7jYKspTNI
    rio-prettyprint-0.1.1.0-7R0kGelPNZw21GwFyL9cr8
    split-0.2.3.4-JVmqsosIEenagDuV1I4wo stm-2.5.0.0
    streaming-commons-0.2.2.4-3u9vKc1pqAdHyZBFOuohBK
    tar-0.5.1.1-DI7T6lc0BmWLDM4ZHpCJ4Q template-haskell-2.17.0.0
    temporary-1.3-Fsrv9N5xm2sEziKZ2Vkif8 text-1.2.5.0
    text-metrics-0.3.2-HNZpxlAq5sI14n4xr2cni5
    th-reify-many-0.1.10-5ugGWKoBeqt5dkQ2FtYACM time-1.9.3
    tls-1.5.7-BecQw4IEBd1EEJLunVXbRx transformers-0.5.6.2
    typed-process-0.2.8.0-6sfNvzkmhZQI0nfigfV26o
    unicode-transforms-0.4.0.1-625CMVMbDvMF1IARXCDbob unix-2.7.2.2
    unix-compat-0.5.4-FTzJDG4psNuKZpJlJ2Zo5B
    unliftio-0.2.21.0-D6NKxA2CHQfErrpDVjQA0M
    unordered-containers-0.2.17.0-4bcRecgfIOjL5KIXJoFyIi
    vector-0.12.3.1-K551lzEJJcR9600hgrx2VO
    yaml-0.11.8.0-L6uHgeQccCYBVyKUaLFz2i
    zip-archive-0.4.2.1-EuAalportxRLnBUqPIfx8K
    zlib-0.6.2.3-CHiFTEFy3O189HdNi87aSY

haddock-interfaces:   /usr/share/doc/stack/html/stack.haddock
haddock-html:         /usr/share/doc/stack/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

